<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

	<modelVersion>4.0.0</modelVersion>
	<name>PS_INB_ERX_JMS_Ear</name>
	<artifactId>PS_INB_ERX_JMS_Ear</artifactId>

	<parent>
		<groupId>gov.va.med.pharmacy</groupId>
		<artifactId>PS_INB_ERX</artifactId>
		<version>${version.number}</version>
		<relativePath>../PS_INB_ERX/pom.xml</relativePath>
	</parent>

	<packaging>ear</packaging>

	<properties>
		<ear.file.name>INB_ERX_JMS-${version.number}</ear.file.name>
		<skip.fullbuild>true</skip.fullbuild>
	</properties>

	<build>
		<plugins>
			<plugin>
				<artifactId>maven-ear-plugin</artifactId>
				<configuration>
					<version>6</version>
					<defaultLibBundleDir>/lib</defaultLibBundleDir>
					<finalName>${ear.file.name}</finalName>
					<modules>
						<webModule>
							<groupId>gov.va.med.pharmacy</groupId>
							<artifactId>PS_INB_ERX_JMS</artifactId>
							<bundleFileName>PS_INB_ERX_JMS.war</bundleFileName>
							<contextRoot>/inboundjms</contextRoot>
						</webModule>
						<jarModule>
							<groupId>gov.va.med.pharmacy</groupId>
							<artifactId>PS_INB_ERX_Model</artifactId>
							<bundleDir>/lib</bundleDir>
						</jarModule>
					</modules>
				</configuration>
			</plugin>
		</plugins>
	</build>

	<dependencies>
		<dependency>
			<groupId>gov.va.med.pharmacy</groupId>
			<artifactId>PS_INB_ERX_JMS</artifactId>
			<version>${version.number}</version>
			<type>war</type>
		</dependency>
		<dependency>
			<groupId>gov.va.med.pharmacy</groupId>
			<artifactId>PS_INB_ERX_Model</artifactId>
			<type>jar</type>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-beans</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-core</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-context</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-context-support</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-jdbc</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-orm</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-oxm</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-tx</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-web</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-webmvc</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-test</artifactId>
			<scope>jar</scope>
		</dependency>		
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-jms</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>javax</groupId>
			<artifactId>javaee-web-api</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>javax.jms</groupId>
			<artifactId>javax.jms-api</artifactId>
			<scope>jar</scope>
		</dependency>
		<!-- Spring OXM -->
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-oxm</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-core</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-ehcache</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-log4j12</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>jcl-over-slf4j</artifactId>
			<scope>jar</scope>
		</dependency>		
		<dependency>
			<groupId>net.sf.ehcache</groupId>
			<artifactId>ehcache-web</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>org.jboss.logging</groupId>
			<artifactId>jboss-logging-annotations</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>org.jboss.logging</groupId>
			<artifactId>jboss-logging</artifactId>
			<scope>jar</scope>
		</dependency>
		<dependency>
			<groupId>org.jboss</groupId>
			<artifactId>jandex</artifactId>
			<scope>jar</scope>
		</dependency>


	</dependencies>

</project>
